##
Configuration Files

On Linux version, the text based Configuration Files are used to control settings for Desktop On-Call, those are controlled by the Property Panel on other platforms.

Contents of the following Configuration Files for Linix version are described below.

> dtoc.conf, user, guest, acl, map

Original copy of the Desktop On-Call Configuration files are saved in the following directory:

> /usr/local/jdtoc/etc or /usr/local/edtoc/etc

Copy the above files in a $HOME/.dtoc directory and use them as your own configuration files.

| Formats of Desktop On-Call Configuration Files
| A blank line and a line begins with a # are ignored. Setting items consist of an item name and a value. Items on a line are separated by spaces or tabs. Do not change order of setting items in a file.

Description of the Configuration Files are as follows:

- dtoc.conf Configuration File
- acl Configuration File
- user Configuration File
- guest Configuration File
- map Configuration File

### dtoc.conf Configutation File

Set a basic function for Linux version of Desktop On-Call.

    # %Z%%M%        %I%  %W% %G% %U%
    ##############################################################################
    #
    #
    #
    #
    #
    #
    #
    ##############################################################################
    # Items on a line are separeted by  spaces or tabs.
    # Comments begin with a # and continue until the end of the line.
    # Name must begin the first entry on the line.
    ##############################################################################
    # HTTP server
    # Desktop On-Call is a HTTP server program.
    # Desktop On-Call uses port 8880 as default.
    # If you use your Host PC as a HTTP server,
    # such as Personal Web Server, you should check
    # port number is overlapping or not. If other
    # HTTP server already uses port 8880, change
    # Desktop On-Call port number. Choose a number
    # between 5000 and 65535.
    # http_port xxxx
    ##############################################################################
    http_port 8880

    ##############################################################################
    # Browser's IP address
    # If you want to restrict to access from not
    # allow IP address, you can specify allowed
    # IP address in acl file .
    # off: No IP address restriction
    # on: IP address must start with.  IP address must be in "acl" file
    # addr_restriction off/on
    ##############################################################################
    addr_restriction off

    ##############################################################################
    # User
    # To activate security checking based on a user ID and password:
    # Setup security checking. You can control users only when you select "on".
    # security_check on/off
    ##############################################################################
    security_check on

    ##############################################################################
    # Automap access from other clinet
    # Your host computer will be listed on other client's automap list when you
    # select "on".
    # automap_from_other_client off/on
    ##############################################################################
    automap_from_other_client off

http_port
  http_port is a port number of the http server. Default value for Linux version is 8880. Specify the port number.
addr_restriction
  Specify "on" to restrict access from not allowed IP address. Specify "off" if you don't restrict access from any IP addresses. Default value is "off".
security_check
  Specify "on" to activate security checking by displaying the panel to prompt a user ID and a password when user logon to Desktop On-Call. Default value is "on".
automap_from_other_client
  Desktop On-Call has a function called "Auto-launch map", to list up PCs which Desktop On-Call are installed by a broardcast. If you select "on", your host computer will be listed on other client's auto launch map list by a broardcast search. Default value is "off".

### acl Configuration File

When you set "on" for addr_restriction item in dtoc.conf Configuration File, you need to write IP addresses which are allowed to access in this file.

    # %Z%%M%        %I%  %W% %G% %U%
    ##############################################################################
    #
    #
    #
    #
    #
    #
    #
    ##############################################################################
    # Items on a line are separeted by spaces or tabs.
    # Comments begin with a # and continue until the end of the line.
    # Name must begin the first entry on the line.
    ##############################################################################
    #
    # ACL
    #
    # Comments begin with a # and continue until the end of the line.
    # Address must begin the first entry on the line.
    #
    # Only valid when addr_restriction item of dtoc.conf file is "on".
    #
    # Note: You don't have to specify the fully
    # qualified IP address. Any address starting
    # with the specified prefix is included. For
    # example, If you specify 10.20, any address
    # starting with 10.20 is included. (e.g. 10.20.30.40,
    # 10.20.1.1, 10.20.255.254, etc.)
    #
    ##############################################################################
    #10.20.30.40

IP address
  Specify IP addresses which are allowed to access as follows:

  Example 1: Only three addresses, 10.10.10.1, 10.10.10.2 and 10.10.10.3 are allowed to access.
  Specify three IP addresses on each line.
  10.10.10.1
  10.10.10.2
  10.10.10.3

  Example 2FIP addresses from 10.10.10.1 to 10.10.10.255 are allowed to access.
  Just specify 10.10.10

### user Configuration File

On Linux version, you can use two user IDs, a login user ID for Linux and a "guest", for Desktop On-Call's guest PC.
Specify settings for a login user ID for Linux in this file.

    # %Z%%M%        %I%  %W% %G% %U%
    ##############################################################################
    #
    #
    #
    #
    #
    #
    #
    ##############################################################################
    # Items on a line are separeted by  spaces or tabs.
    # Comments begin with a # and continue until the end of the line.
    # Name must begin the first entry on the line.
    ##############################################################################
    #
    # Only valid when security_checking item is "on".
    #
    #	password_expiration  yyyymmdd/off
    #	session_time  0(=no limit)/15/30/60
    #	browser NS/IE
    #	color mono/color
    #	idel_256 on/off
    #	window_size 100/75/50/25
    #	antialiasing  on/off
    #	browser_input on/off
    #	instruction_pointer on/off
    ##############################################################################
    password_expiration  off
    session_time  0
    browser NS
    color color
    idel_256 off
    window_size 100
    antialiasing  on
    browser_input on
    instruction_pointer off

password_expiration
  This parameter is used to set an expiration date of user ID. Default value is "off". Specify an expiration date by a yyyymmdd format.
session_time
  Set time for one session. Default is "0" means no limit. You can also specify 15, 30 or 60 minutes.
browser
  Depending on browsers, a color of remote control window is not displayed correctly. To avoid this, you can specify a default browser. Default value is "NS" for Netscape. Specify "IE" for Internet Explorer.
color
  You can select color setting for a remote control window. Default of "color". Specify "mono" to select a monotone.
idel_256
  Specify "on" when transferring 256-color information while an idle time. Default value is "off".
window_size
  Specify a default windows size. Default value is 100. You can also specify 75, 50 or 25%.
antialiasing
  Setting to enable or disable anti-aliasing graphics treatment when reducing a window size or a image. Default value is "on".
browser_input
  Specify "off" to restrict an input from a mouse or keyboard while remote control, and allow a view only. Specify "on" to allow an input from a mouse or keyboard. Default value for the user Configuration File is "on".
instruction_pointer
  When a browser_input item is set to "off", specify "on" to display a instruction pointer. Default value for the user Configuration File is "off".

### guest Configuration File

On Linux version, you can use two user IDs, a login user ID for Linux and a "guest", for Desktop On-Call's guest PC.
Specify settings for a user ID "guset" in this file.

    # %Z%%M%        %I%  %W% %G% %U%
    ##############################################################################
    #
    #
    #
    #
    #
    #
    #
    ##############################################################################
    # Items on a line are separeted by  spaces or tabs.
    # Comments begin with a # and continue until the end of the line.
    # Name must begin the first entry on the line.
    ##############################################################################
    #
    # Only valid when security_checking item is "on".
    #
    #	password_expiration  yyyymmdd/off
    #	session_time  0(=no limit)/15/30/60
    #	browser NS/IE
    #	color mono/color
    #	idel_256 on/off
    #	window_size 100/75/50/25
    #	antialiasing  on/off
    #	browser_input on/off
    #	instruction_pointer on/off
    ##############################################################################
    password_expiration  off
    session_time  0
    browser NS
    color color
    idel_256 off
    window_size 100
    antialiasing  on
    browser_input off
    instruction_pointer on

password_expiration
  This parameter is used to set an expiration date of user ID. Default value is "off". Specify an expiration date by a yyyymmdd format.
session_time
  Set time for one session. Default is "0" means no limit. You can also specify 15, 30 or 60 minutes.
browser
  Depending on browsers, a color of remote control window is not displayed correctly. To avoid this, you can specify a default browser. Default value is "NS" for Netscape. Specify "IE" for Internet Explorer.
color
  You can select color setting for a remote control window. Default of "color". Specify "mono" to select a monotone.
idel_256
  Specify "on" when transferring 256-color information while an idle time. Default value is "off".
window_size
  Specify a default windows size. Default value is 100. You can also specify 75, 50 or 25%.
antialiasing
  Setting to enable or disable anti-aliasing graphics treatment when reducing a window size or a image. Default value is "on".
browser_input
  Specify "off" to restrict an input from a mouse or keyboard while remote control, and allow a view only. Specify "on" to allow an input from a mouse or keyboard. Default value for the guest Configuration File is "off".
instruction_pointer
  When a browser_input item is set to "off", specify "on" to display a instruction pointer. Default value for the user Confuguration File is "off". Default value for the guest Configuration File is "on".

### map Configuration File

Set a launch map function for Linux version of Desktop On-Call.

    # %Z%%M%        %I%  %W% %G% %U%
    ##############################################################################
    #
    #
    #
    #
    #
    #
    #
    ##############################################################################
    # Items on a line are separeted by  spaces or tabs.
    # Comments begin with a # and continue until the end of the line.
    # Name must begin the first entry on the line.
    ##############################################################################
    # Launch map
    # remote: Remote control
    #          If you do not want to use the Launch map, set  "remote".
    # map:    Launch map
    #          If you want to use Launch map, set "map"
    # automap:Auto-Launch map
    #          If you want to use the Auto-launch map, set "automap"
    # original: Original Launch map
    #          IF you can use any HTML file that shows the actual layout of the office
    #          or classroom, set "original".
    #
    # host_pc_action remote/map/automap/original
    ##############################################################################
    host_pc_action remote

    ##############################################################################
    # Launch map
    #
    # Comments begin with a # and continue until the end of the line.
    # Name must begin the first entry on the line.
    #
    # Only valid when host_pc_action item is "map".
    #
    # Input the host PC name and IP address into this file.
    # Items on a line are separeted by  spaces or tabs.
    #
    # You can select either "simple" or "standard" to make create HTML.
    #
    # Example:
    # [map]
    # html_created simple/standard
    # hostname http://hostname.yamato.ibm.com
    # [end_map]
    ##############################################################################
    [map]
    html_created simple
    hostname http://localhost
    [end_map]

    ##############################################################################
    # Auto-Launch map
    #
    # Comments begin with a # and continue until the end of the line.
    # Subnet must begin the first entry on the line.
    #
    # Only valid when host_pc_action item is "automap".
    #
    # Input the subnet into this file.
    #
    # Example:
    # For current subnet only:
    # [automap]
    # [end_automap]
    #
    # For current and additional subnet(9.68.59):
    # [automap]
    # 9.68.59
    # [end_automap]
    ##############################################################################
    [automap]
    [end_automap]

    ##############################################################################
    # Original Launch map
    #
    # Comments begin with a # and continue until the end of the line.
    # Name must begin the first entry on the line.
    #
    # Only valid when host_pc_action item is "original".
    #
    # Input the location of the file for html file of Original Launch map by
    # relative path(/usr/local/jdtoc/html or /usr/local/edtoc/html) to
    # Desktop On-Call HTML directory.
    #
    # Example:
    # [import]
    # samples/Mapsamp.htm
    # [end_import]
    ##############################################################################
    [import]
    samples/Mapsamp.htm
    [end_import]

host_pc_action
  Specify the initial action when accessing http server from the following options. Default value is "remote".

  remote | Remote control
  map | Launch map
  automap | Auto-launch map
  original | Original launch map

[map]
  Specify a host PC's IP address to register it into a launch map.

  html_created | Specify "simple" or "standard". Default is "simple".
  hostname | Input the host PC name and IP address. Input a space before IP address. Specify one host PC name and IP address in each line.

  [map] tag should be enclosed with [end_map] end tag at the last line.
[automap]
  Specify the broadcast address which is used in the auto launch map to broadcast a query request in the sub-net and make a list of all PCs on which Desktop On-Call is installed. If not specified, the current sub-net is used as the broadcast address. Regarding broadcast address, refer to "Calculating broadcast address" in detail.
  [automap] tag should be enclosed with [end_automap] end tag at the last line.
[import]
  Specify a path and file name of the original launch map by relative path to Desktop On-Call HTML directory. Default is "samples/Mapsamp.htm".

[Back]